
Foreman - Bug #2234

Parent hostgroups should be assigned to same location as children

02/20/2013 07:53 AM - Taylan Develioglu

Status: Closed   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If a parent and child hostgroup are not assigned to the same location and a location is set, the edit page of the child fails with a 404

hostgroup not found.

Related issues:

Related to Foreman - Bug #1998: Nested hostgroup inheritance should be reflec... New 12/05/2012

History

#1 - 02/20/2013 08:04 AM - Dominic Cleal

- Category set to Organizations and Locations

Perhaps mismatches should detect and fix this?

Or perhaps it's valid to have different locations over the hostgroups hierarchy and this should work?

#2 - 05/29/2015 08:11 AM - Dominic Cleal

- Related to Bug #1998: Nested hostgroup inheritance should be reflected on Location / Organization added

#3 - 04/21/2021 08:01 AM - Leos Stejskal

- Status changed from New to Closed

I'm closing the issue,

it have been here for some time and I wasn't able to reproduce it on the latest version.

If you think that the issue is still relevant feel free to reopen it.
